com.fasterxml.jackson.dataformat.protobuf.schema

## Class TypeResolver

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.TypeResolver

-     public class TypeResolver
      extends Object

  Stateful class needed to properly resolve type definitions of protobuf message (and related types); some complexity coming from possible nested nature of definitions.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TypeResolver(TypeResolver p, String name, Map<String,com.squareup.protoparser.MessageElement> declaredMsgs, Map<String,ProtobufEnum> enums)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ProtobufMessage` | `_resolve(com.squareup.protoparser.MessageElement rawType)`
    `protected void` | `addEnumType(String name, ProtobufEnum enumType)`
    `protected void` | `addResolvedMessageType(String name, ProtobufMessage toResolve)`
    `protected static TypeResolver` | `construct(TypeResolver parent, String localName, Collection<com.squareup.protoparser.TypeElement> nativeTypes)`
    `protected static ProtobufEnum` | `constructEnum(com.squareup.protoparser.EnumElement nativeEnum)`
    `static ProtobufMessage` | `resolve(Collection<com.squareup.protoparser.TypeElement> nativeTypes, com.squareup.protoparser.MessageElement rawType)` Main entry method for public API, for resolving specific root-level type and other types it depends on.
    `protected ProtobufMessage` | `resolve(TypeResolver parent, com.squareup.protoparser.MessageElement rawType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeResolver

          protected TypeResolver(TypeResolver p,
                                 String name,
                                 Map<String,com.squareup.protoparser.MessageElement> declaredMsgs,
                                 Map<String,ProtobufEnum> enums)

  - ### Method Detail

    - #### resolve

          public static ProtobufMessage resolve(Collection<com.squareup.protoparser.TypeElement> nativeTypes,
                                                com.squareup.protoparser.MessageElement rawType)

      Main entry method for public API, for resolving specific root-level type and other types it depends on.

    - #### resolve

          protected ProtobufMessage resolve(TypeResolver parent,
                                            com.squareup.protoparser.MessageElement rawType)

    - #### construct

          protected static TypeResolver construct(TypeResolver parent,
                                                  String localName,
                                                  Collection<com.squareup.protoparser.TypeElement> nativeTypes)

    - #### addEnumType

          protected void addEnumType(String name,
                                     ProtobufEnum enumType)

    - #### constructEnum

          protected static ProtobufEnum constructEnum(com.squareup.protoparser.EnumElement nativeEnum)

    - #### _resolve

          protected ProtobufMessage _resolve(com.squareup.protoparser.MessageElement rawType)

    - #### addResolvedMessageType

          protected void addResolvedMessageType(String name,
                                                ProtobufMessage toResolve)

Copyright © 2019 FasterXML. All rights reserved.